<?xml version="1.0" encoding="euc-kr"?>

<xsl:stylesheet version="1.0"
	xmlns:t="http://ropas.snu.ac.kr/~ta"
	xmlns:fn="http://www.w3.org/2005/xpath-functions"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:variable name="np">-7</xsl:variable>
	<xsl:variable name="unitSize">80px</xsl:variable>
	<xsl:variable name="deadUnitSize">50px</xsl:variable>

	<!--
	<xsl:output method="xml" media-type="text/html"/>
	-->

	<xsl:template match="/">
	<html>
		<!--
		<head>
			<base href="http://ropas.snu.ac.kr/~pudrife/quang/"/>
		</head>
		-->

		<body style="background-color:black">

		<a href="show.php">next</a>

		<xsl:choose>
			<xsl:when test="/*/t:lose='A'">
				<br />
				<img src="blueB.jpg" /> 
				<font style="color:white;font-size:700%">Team "B" win!!</font>
				<br />
				<font style="color:white;font-size:500%">Team "A" lose, because </font>
				<font style="color:white;font-size:500%">
					<xsl:value-of select="/*/t:reason" />
				</font>
			</xsl:when>
			<xsl:when test="/*/t:lose='B'">
				<br />
				<img src="blueA.jpg" />
				<font style="color:white;font-size:700%">Team "A" win!!</font>
				<br />
				<font style="color:white;font-size:500%">Team "B" lose, because </font>
				<font style="color:white;font-size:500%">
					<xsl:value-of select="/*/t:reason" />
				</font>
			</xsl:when>

			<xsl:otherwise>


				<div align="left">
					<xsl:for-each select="/*/t:unit[t:x=$np and t:y=$np and t:team='B']">
						<xsl:call-template name="printUnit">
							<xsl:with-param name="cl"><xsl:value-of select="t:color" /></xsl:with-param>
							<xsl:with-param name="tm">B</xsl:with-param>
							<xsl:with-param name="px"><xsl:value-of select="$deadUnitSize" /></xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</div>

				<div align="center">
					<table border="0" bgcolor="black">
						<xsl:for-each select="/*/t:yy">
							<tr align="center" valign="middle">
								<xsl:variable name="ky" select="." />
								<xsl:for-each select="/*/t:xx">
								<td>
									<xsl:variable name="kx" select="." />
									<xsl:call-template name="printUnit">
										<xsl:with-param name="cl">
											<xsl:value-of select="/*/t:unit[t:x=$kx and t:y=$ky]/t:color" />
										</xsl:with-param>
										<xsl:with-param name="tm">
											<xsl:value-of select="/*/t:unit[t:x=$kx and t:y=$ky]/t:team" />
										</xsl:with-param>
										<xsl:with-param name="xaix"><xsl:value-of select="$kx" /></xsl:with-param>
										<xsl:with-param name="yaix"><xsl:value-of select="$ky" /></xsl:with-param>
									</xsl:call-template>
								</td>
								</xsl:for-each>
							</tr>
						</xsl:for-each>
					</table>
				</div>

				<div align="right">
					<xsl:for-each select="/*/t:unit[t:x=$np and t:y=$np and t:team='A']">
						<xsl:call-template name="printUnit">
							<xsl:with-param name="cl"><xsl:value-of select="t:color" /></xsl:with-param>
							<xsl:with-param name="tm">A</xsl:with-param>
							<xsl:with-param name="px"><xsl:value-of select="$deadUnitSize" /></xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</div>



			</xsl:otherwise>
		</xsl:choose>



			<!--
		<a href="javascript: location = location.pathname.replace(/j.html$/,'.html');">prev</a>
		<a href="javascript: location = location.pathname.replace(/.html$/,'j.html');">next</a>
		-->
		</body>
	</html>





	</xsl:template>

	<xsl:template name="printUnit">
		<xsl:param name="cl" />
		<xsl:param name="tm" />
		<xsl:param name="px"><xsl:value-of select="$unitSize" /></xsl:param>
		<xsl:param name="xaix" />
		<xsl:param name="yaix" />

		<xsl:choose>
			<xsl:when test="$cl='Red' and $tm='A'">
				<img src="redA.jpg" height="{$px}" width="{$px}" align="middle" />
			</xsl:when>
			<xsl:when test="$cl='Red' and $tm='B'">
				<img src="redB.jpg" height="{$px}" width="{$px}" align="middle" />
			</xsl:when>
			<xsl:when test="$cl='Blue' and $tm='A'">
				<img src="blueA.jpg" height="{$px}" width="{$px}" align="middle" />
			</xsl:when>
			<xsl:when test="$cl='Blue' and $tm='B'">
				<img src="blueB.jpg" height="{$px}" width="{$px}" align="middle" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="($xaix='-3' and $yaix='-3')">
						<img src="exit4.jpg" height="{$px}" width="{$px}" align="middle" />
					</xsl:when>
					<xsl:when test="($xaix='-3' and $yaix='3')">
						<img src="exit1.jpg" height="{$px}" width="{$px}" align="middle" />
					</xsl:when>
					<xsl:when test="($xaix='3' and $yaix='3')">
						<img src="exit2.jpg" height="{$px}" width="{$px}" align="middle" />
					</xsl:when>
					<xsl:when test="($xaix='3' and $yaix='-3')">
						<img src="exit3.jpg" height="{$px}" width="{$px}" align="middle" />
					</xsl:when>
					<xsl:otherwise>
						<img src="bg.jpg" height="{$px}" width="{$px}" align="middle" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
